Bug 958499 - koji-vm should not be using python-virtinst code
Summary: koji-vm should not be using python-virtinst code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: koji
Version: 19
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-01 16:33 UTC by Daniel Berrangé
Modified: 2014-08-16 00:32 UTC (History)
16 users (show)

Fixed In Version: koji-1.9.0-4.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of: 958489
Environment:
Last Closed: 2014-04-09 00:56:26 UTC


Attachments (Terms of Use)
Unapplied patch that's been available for over a year (3.85 KB, text/plain)
2013-05-09 17:31 UTC, Cole Robinson
no flags Details

Description Daniel Berrangé 2013-05-01 16:33:27 UTC
+++ This bug was initially created as a clone of Bug #958489 +++

Description of problem:
 
Error: Package: koan-2.4.0-beta3.fc19.2.noarch (@rawhide/19)
           Requires: python-virtinst
           Removing: python-virtinst-0.600.4-1.fc20.noarch (@rawhide)
               python-virtinst = 0.600.4-1.fc20
           Obsoleted By: virt-install-0.10.0-0.1.gitd3f9bc8e.fc20.noarch (rawhide)
               Not found

Version-Release number of selected component (if applicable):
0.10.0-0.1.gitd3f9bc8e

--- Additional comment from Orion Poplawski on 2013-05-01 17:18:16 BST ---

You also probably should be using versioned provides/obsoletes:

Provides: oldpackagename = $provEVR
Obsoletes: oldpackagename < $obsEVR

--- Additional comment from Daniel Berrange on 2013-05-01 17:24:34 BST ---

This explicitly did *not* define Provides, since the APIs formerly provided in python-virtinst are no longer considered public & the APIs will be changed at will. No 3rd party app should be using the python-virtinst APIs.

Thus koan needs to be updated to not use these, now private, APIs. The simplest option for koan is probably to just copy the few files it needs from the previous python-virtinst release into its own source tree.

--- Additional comment from Orion Poplawski on 2013-05-01 17:30:44 BST ---

Daniel - Looks like koji-vm also requires python-virtinst.

# repoquery --whatrequires python-virtinst
koan-0:2.4.0-beta3.fc19.2.noarch
koji-vm-0:1.8.0-1.fc20.noarch

Comment 1 Cole Robinson 2013-05-09 17:31:45 UTC
Created attachment 745751 [details]
Unapplied patch that's been available for over a year

Dep can just be changed to Requires: virt-install after applying that patch and things should continue to work, but one of the koji guys should confirm.

Comment 2 Kashyap Chamarthy 2014-02-09 10:05:44 UTC
Heya Dennis, just a gentle ping, any update here?

As of Rawhide's report (on Feb 08, 2014) koji-vm package still seems to fail on python-virtinst as a dependency:

-------
> [koji]
>   koji-vm-1.8.0-2.fc20.noarch requires python-virtinst
-------

which should be (as Cole notes above):

    Requires: virt-install

because:

    $ koji latest-build rawhide python-virtinst | awk '{print $1}'
    Build
    ----------------------------------------

    $ echo $?
    0

Comment 3 Mike Bonnet 2014-02-10 19:35:38 UTC
This change has already been made in koji upstream, we just need to do a new release.

However, the text of the initial bug report looks like it's related to koan, no koji.

Comment 4 Kashyap Chamarthy 2014-02-11 18:40:05 UTC
(In reply to Mike Bonnet from comment #3)
> This change has already been made in koji upstream, we just need to do a new
> release.
> 
> However, the text of the initial bug report looks like it's related to koan,
> no koji.


I just tried this:

    $ fedpkg clone -B koan
    $ git log | head -1
    commit 98876d6c704f2458ba9f102278bb113c270b84a4
    $ cd koan/master
    $ ls
    dead.package  koan.spec  sources
    $ cat dead.package 
    The koan RPM is now merged with cobbler's spec.


So, let's try 'cobbler', it seems to have the correct Requires: virt-install:

    $ fedpkg clone -B cobbler
    $ git log | head -1
    commit 0dd56db52dc4fde838d406052d632b9f8c498ec1
    $ egrep -i 'Requires\: virt-install' cobbler.spec 
    Requires: virt-install
    $ egrep -i 'Requires\: python-virtinst' cobbler.spec 
    $ echo $?
    1

Comment 5 Fedora Update System 2014-04-04 15:47:44 UTC
koji-1.9.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/koji-1.9.0-1.el6

Comment 6 Fedora Update System 2014-04-04 15:49:12 UTC
koji-1.9.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/koji-1.9.0-1.fc19

Comment 7 Fedora Update System 2014-04-04 15:49:43 UTC
koji-1.9.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/koji-1.9.0-1.fc20

Comment 8 Fedora Update System 2014-04-05 19:36:17 UTC
Package koji-1.9.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing koji-1.9.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1065/koji-1.9.0-1.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-04-09 00:56:26 UTC
koji-1.9.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Dennis Gilmore 2014-06-23 15:54:35 UTC
clearing needinfo

Comment 11 Fedora Update System 2014-07-29 15:14:05 UTC
koji-1.9.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/koji-1.9.0-4.el6

Comment 12 Fedora Update System 2014-07-29 15:14:38 UTC
koji-1.9.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/koji-1.9.0-4.fc19

Comment 13 Fedora Update System 2014-08-15 18:59:16 UTC
koji-1.9.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-08-16 00:32:13 UTC
koji-1.9.0-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.